<?php

//////////////////////////////////////////////////////////////
//===========================================================
// addmg_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function addmg_theme(){

global $theme, $globals, $kernel, $_user, $l, $error, $done;

softheader($l['<title>']);

echo page_header($l['page_head'], 'fas fa-compact-disc','', 0, 0);

$breadcrumbs = array('dashboard', 'lm_ostemplates', 'lms_addmg');

echo get_breadcrumb($breadcrumbs);

error_handle($error);

if(!empty($done)){
	show_alert($l['done'] ,"0" ,"mediagroups");
	//echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '..'</div>';
}else{

echo '
<style>
.mgtype{
	padding: 10px 10px 10px 10px;
}
</style>

<script language="javascript" type="text/javascript">

function changetype(mg_type){	
	$_("mg_type").value = mg_type;
};

addonload("changetype(\''.POSTval('mg_type', 'openvz').'\');");

</script>

<div id="form-container" class="card p-2 mx-3">
	<form accept-charset="'.$globals['charset'].'" class="form-horizontal" name="addmg" method="post" action="" class="form-horizontal">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['mg_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['mg_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
			<input type="text" class="form-control" name="mg_name" id="mg_name" size="30" value="'.POSTval('mg_name', '').'" />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['mg_desc'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['mg_desc_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<textarea class="form-control" name="mg_desc" id="mg_desc" cols="40">'.POSTval('mg_desc', '').'</textarea>
				<span class="help-block"></span>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-4">
				<label class="control-label">'.$l['mg_type'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['mg_type_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-4">
				<select class="custom-select" id="mg_type" name="mg_type">
					<option value="openvz" id="openvz">OpenVZ</option>
					<option value="xen" id="xen">Xen</option>
					<option value="xenhvm" id="xenhvm">Xen - HVM</option>
					<option value="xcp" id="xcp">XCP</option>
					<option value="xcphvm" id="xcphvm">XCP - HVM</option>
					<option value="kvm" id="kvm">KVM</option>
					<option value="lxc" id="lxc">LXC</option>
					<option value="vzo" id="vzo">Virtuozzo OpenVZ</option>
					<option value="vzk" id="vzk">Virtuozzo KVM</option>
					<option value="proxk" id="proxk">Proxmox Qemu</option>
					<option value="proxl" id="proxl">Proxmox LXC</option>
					<option value="proxo" id="proxo">Proxmox OpenVZ</option>
				</select>
			</div>
		</div>
		<br/><br/>
		<div class="text-center my-3">
			<input type="submit" name="addmg" value="'.$l['submit'].'" class="go_btn">
		</div>
	</form>
</div>';

}
softfooter();

}

?>