<?php

//////////////////////////////////////////////////////////////
//===========================================================
// addtransaction_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function addtransaction_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $done, $users;

softheader($l['<title>']);

echo page_header($l['_head'], 'fas fa-credit-card', '', 0, 0, '');

$breadcrumbs = ['dashboard', 'lm_billing', 'lms_addtransaction'];

echo get_breadcrumb($breadcrumbs);

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
}

echo '
<div id="form-container" class="card p-2 mx-3">
	<form accept-charset="'.$globals['charset'].'" name="addtransaction" method="post" action="" class="form-horizontal">

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 col-md-6 col-lg-6">
			<label class="control-label">'.$l['select_user'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_select_user'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
				<select class="custom-select virt-select" name="uid" id="uid" >
				<option value="" '.(POSTval('uid') == "" ? 'selected="selected"' : '').'>'.$l['select_user'].'</option>';	
				foreach($users as $k => $v){		 
					$parent = !empty($users[$v['pid']]['email']) ? "(".$users[$v['pid']]['email'].")" : "";
					echo '<option value="'.$k.'" '.(POSTval('uid') == $k ? 'selected="selected"' : '').'>'.$v['email'].' '.$parent.'</option>';
				}
		
			echo '</select>
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['date'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_date'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
				
				<div class="input-group ">
				<input type="text" class="form-control" placeholder="DD/MM/YYYY" name="date" id="date" size="30" value="'.POSTval('date', '').'"  />
				<div class="input-group-append">
					<span class="input-group-text">	<a class="text-white" onclick="$_(\'date\').value=\''.datify(time(), 0, 1, 'd/m/Y').'\'" tooltip="'.$l['current_day'].'" /><i class="fas fa-calendar-week"></i></a></span>
				</div>
				</div>	
				
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['trtime'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_trtime'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
				
				<div class="input-group ">
				<input type="text" class="form-control" placeholder="HH:MM:SS" name="time" id="trtime" size="30" value="'.POSTval('time', '').'"  />
				<div class="input-group-append">
					<span class="input-group-text"><a class="text-white" onclick="$_(\'trtime\').value=\''.datify(time(), 0, 1, 'h:i:s').'\'" value="'.$l['current_time'].'" tooltip="'.$l['current_time'].'" /><i class="fas fa-clock"></i></a></span>
				</div>
				</div>
				
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['gateway'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_gateway'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="gateway" id="gateway" value="'.POSTval('gateway', '').'"  />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['token'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_token'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="token" id="token" value="'.POSTval('token', '').'"  />
				
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['amt'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_amt'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="amt" id="amt" value="'.POSTval('amt', '').'" onchange="calc_net()"  />
			</div>
			
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['fees'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_fees'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="fees" id="fees" value="'.POSTval('fees', '').'" onchange="calc_net()"  />
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['net'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_net'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" disabled="disabled" class="form-control" name="net" id="net" value="" />
			</div>
		</div>
		<br /><br />
		<div class="text-center my-4">
			<input type="submit" class="go_btn" name="addtransaction" value="'.$l['submit'].'">
		</div>
	</form>

	<script language="javascript" type="text/javascript">
	function calc_net(){
		var amt = parseFloat($_("amt").value);
		var fees = parseFloat($_("fees").value);
		if(amt > 0){
			$_("net").value = amt - (fees > 0 ? fees : 0);
		}
	};

	calc_net();
	</script>

</div>';

softfooter();

}
