<?php

//////////////////////////////////////////////////////////////
//===========================================================
// editinvoice_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function editinvoice_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $done, $users, $invoice, $tax;

softheader($l['<title>']);

echo page_header($l['_head'], 'fas fa-file-invoice', '', 0, 0, '');

$breadcrumbs = ['dashboard', 'lm_billing', '_head'];

echo get_breadcrumb($breadcrumbs);

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
	//echo '<div class="notice"><img src="'.$theme['images'].'notice.gif" /> &nbsp; '..'</div>';
}

echo '
<div id="form-container" class="card p-2 mx-3">
	<form accept-charset="'.$globals['charset'].'" name="editinvoice" method="post" action="" class="form-horizontal">
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['select_user'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_select_user'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
				<select class="custom-select" name="uid" id="uid">
				<option value="" '.(POSTval('uid') == "" ? 'selected="selected"' : '').'>'.$l['select_user'].'</option>';	
				foreach($users as $k => $v){		 
					echo '<option value="'.$k.'" '.POSTselect('uid', $k, $k == $invoice['uid']).'>'.$v['email'].'</option>';
				}
		
			echo '</select>
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['invodate'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_invodate'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
				
				<div class="input-group ">
				<input type="text" class="form-control" placeholder="DD/MM/YYYY" name="invodate" id="invodate" size="30" value="'.POSTval('invodate', datetime($invoice['invodate'])).'"  />
				<div class="input-group-append">
				<a class="btn blue_btn" onclick="$_(\'invodate\').value=\''.datify(time(), 0, 1, 'd/m/Y').'\'" tooltip="'.$l['current_day'].'" /><i class="fas fa-calendar-week"></i></a>
				</div>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['duedate'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_duedate'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" placeholder="DD/MM/YYYY" name="duedate" id="duedate" size="30" value="'.POSTval('duedate', datetime($invoice['duedate'])).'"  />
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['paydate'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_paydate'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" placeholder="DD/MM/YYYY" name="paydate" id="paydate" size="30" value="'.POSTval('paydate', datetime($invoice['paydate'])).'"  />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['item'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_item'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="item" id="item" value="'.POSTval('item', $invoice['item']).'"  />
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['item_desc'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_item_desc'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="item_desc" id="item_desc" value="'.POSTval('item_desc', $invoice['item_desc']).'"  />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['amt'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_amt'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="number" class="form-control" name="amt" id="amt" value="'.POSTval('amt', $invoice['amt']).'" onchange="calc_net()"  />
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['disc'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_disc'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="disc" id="disc" value="'.POSTval('disc', $invoice['disc']).'" onchange="calc_net()"  />
			</div>
		</div>';

		$tax = 0;

		if(!empty($invoice['tax'])){
			$tax = 1;
		}

		echo '
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['apply_tax'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_apply_tax'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				'.get_checkbox('apply_tax', '', 'apply_tax', array('chk_it' => 1, 'val' => $tax), 1, '', array('onchange="apply_tax_func();"')).'
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6">
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['net'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_net'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" disabled="disabled" class="form-control" name="net" id="net" value="" />
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6">
				<label class="control-label">'.$l['token'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_token'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br><input type="text" class="form-control" name="token" id="token" value="'.POSTval('token', $invoice['token']).'" />
			</div>
		</div>	
		<div id="tax_info" class="mx-3" style="display:block;">
			<br><br>
			<h6>'.$l['tax_info_head'].'</h6>
			<div class="tax_cal  w-100 my-3">
				<table class="table table-hover tablesorter">
					<th>'.$l['tax_no'].'</th>
					<th>'.$l['tax_name'].'</th>
					<th>'.$l['tax_percent'].'</th>
					<th>'.$l['tax_val'].'</th>';
					$invoice['tax'] = unserialize($invoice['tax']);
					$i = 1;
					foreach($invoice['tax']['tax'] as $tk => $tv){
						echo '<tr>
								<td>'.$i.'</td>
								<td>'.$tv['name'].'</td>
								<td>'.$tv['taxrate'].'</td>
								<td>'.$tv['taxamount'].'</td>
							</tr>';
						$i++;
					}
					
					echo '
						<tr>
							<td></td><td></td><td><b>'.$l['tax_total_paybale'].'</b></td><td>'.$invoice['tax']['total_payable_amt'].'</td>
						</tr>
					</table>
			</div>
		</div>

		<br/><br/>
		<center>
			<input type="submit" class="go_btn mt-5" name="editinvoice" value="'.$l['submit'].'">
		</center>
	</form>
	<script language="javascript" type="text/javascript">
	function calc_net(){
		var amt = parseFloat($_("amt").value);
		var disc = parseFloat($_("disc").value);
		if(amt > 0){
			$_("net").value = amt - (disc > 0 ? disc : 0);
		}
	};

	calc_net();

	function apply_tax_func(){
		calc_net();
		if($("#apply_tax").prop("checked") == false){
			$("#tax_info").hide();
			return;
		}
		
		var uid = $("#uid").val();
		var net = parseFloat($("#net").val());
		var amt = parseFloat($("#amt").val());
		
		if(empty(uid)){
			showalert("'.$l['err_nouid'].'", 1);
			return false;
		}
		if(empty(amt)){
			showalert("'.$l['err_noamt'].'", 1);
			return false;
		}
		
		url = "'.$globals['index'].'act=editinvoice&api=json&ajax=1&apply_tax=1&invoid='.$invoice['invoid'].'&random="+Math.random();
		var postval = new Object();
		postval["uid"] = uid;
		postval["amt"] = net;
		
		$.ajax({
			type: "POST",
			url: url,
			data: postval,
			complete:function(response){
				//alert(response.responseText)
				response = jQuery.parseJSON(response.responseText);
				
				var tax_table = "<table class=\"table table-hover tablesorter\">\
				<th>'.$l['tax_no'].'</th>\
				<th>'.$l['tax_name'].'</th>\
				<th>'.$l['tax_percent'].'</th>\
				<th>'.$l['tax_val'].'</th>";
				var i = 1;
				$.each(response.tax.tax, function( index, value ) {
					if(value.name != undefined){
						tax_table += "<tr><td>"+i+"</td><td>"+value.name+"</td><td>"+value.taxrate+"</td><td>"+value.taxamount+"</td></tr>";
						i++;
					}
				});
				tax_table += "<tr><td></td><td></td><td><b>'.$l['tax_total_paybale'].'</b></td><td>"+response.tax.total_payable_amt+"</td></tr>";
				
				$("#tax_info").show();
				$(".tax_cal").html(tax_table);
				$("#net").val(response.tax.total_payable_amt);
				
			}
		});
	};
	</script>
</div>';


softfooter();

}


