<?php

//////////////////////////////////////////////////////////////
//===========================================================
// serverinfo_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function serverinfo_theme(){

global $theme, $globals, $cluster, $user, $l , $error, $info , $langs , $skins;

softheader($l['<title>']);

echo page_header($l['heading'], 'fas fa-wrench', $globals['docs'].'reset-api-keys/', 0, 0, '');

$breadcrummbs = array('dashboard', 'lm_config', 'lms_serverinfo');

echo get_breadcrumb($breadcrummbs);

error_handle($error);

// Is it offline ?
$hypervisor_status = $cluster->statewise($globals['server']);
if($hypervisor_status == 0 || $hypervisor_status == 2){
	show_alert($l['server_status_'.$hypervisor_status], 1);
	echo '<div class="e_notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['server_status_'.$hypervisor_status].'</div>';
	
}else{

echo '
<div class="mx-3 mb-3">
	<div class="roundheader">'.$l['heading'].'</div>
	<div class="card w-100">
		<table align="center" class="shadow-none table no_border table-hover common-table" cellpadding="3" cellspacing="4" border="0" width="100%">
			<tr>
				<td align="left" class="text-admin text-big" width="30%">'.$l['path'].'</td>
				<td class="val">'.$info['path'].'</td>
			</tr>
			<tr>
				<td align="left" class="text-admin text-big">'.$l['type'].'</td>
				<td class="val">'.($info['slave'] == 0 ? 'Master' : 'Slave').'</td>
			</tr>';
			
			if(!empty($info['slave'])){
				$pre_id = generateRandStr(5);
				echo '
				<tr>
					<td align="left" class="text-admin text-big">'.$l['masterkey'].'</td>
					<td class="val"><span id="'.$pre_id.'">'.$info['masterkey'].'</span>&nbsp; <a id="a_'.$pre_id.'" href="javascript:copy($(\'#a_'.$pre_id.'\'),\''.$pre_id.'\')"><i class="fas fa-copy"></i></a></td>
				</tr>
				<tr>
					<td align="left" class="text-admin text-big">'.$l['masterip'].'</td>
					<td class="val"><span id="ip_'.$pre_id.'">'.$info['masterip'].'</span>&nbsp;<a id="a1_'.$pre_id.'" href="javascript:copy($(\'#a1_'.$pre_id.'\'),\'ip_'.$pre_id.'\')"><i class="fas fa-copy"></i></a></td>
				</tr>';
			}
			
			if(!empty($info['is_master_only'])){
				$info['kernel'] = 'msonly';
			}

			echo '
			<tr>
				<td align="left" class="text-admin text-big">'.$l['key'].'</td>
				<td class="val"><span id="key_'.$pre_id.'">'.$info['key'].'</span>&nbsp;<a id="a2_'.$pre_id.'" href="javascript:copy($(\'#a2_'.$pre_id.'\'),\'key_'.$pre_id.'\')"><i class="fas fa-copy"></i></a></td>
			</tr>
			<tr>
				<td align="left" class="text-admin text-big">'.$l['pass'].'</td>
				<td class="val"><span id="pass_'.$pre_id.'">'.$info['pass'].'</span>&nbsp;<a id="a3_'.$pre_id.'" href="javascript:copy($(\'#a3_'.$pre_id.'\'),\'pass_'.$pre_id.'\')"><i class="fas fa-copy"></i></a></td>
			</tr>			
			<tr>
				<td align="left" class="text-admin text-big">'.$l['kernel'].'</td>
				<td class="val">'.show_virt_type($info['kernel']).'</td>
			</tr>			
			<tr>
				<td align="left" class="text-admin text-big">'.$l['num_vs'].'</td>
				<td class="val">'.$info['num_vs'].'</td>
			</tr>			
			<tr>
				<td align="left" class="text-admin text-big">'.$l['php_version'].'</td>
				<td class="val">'.phpversion().'</td>
			</tr>			
			<tr>
				<td align="left" class="text-admin text-big">'.$l['soft_version'].'</td>
				<td class="val">'.$info['version'].'</td>
			</tr>	
			<tr>
				<td align="left" class="text-admin text-big">'.$l['soft_patch'].'</td>
				<td class="val">'.$info['patch'].'</td>
			</tr>		
			<tr>
				<td align="left" class="text-admin text-big">'.$l['latest_soft_version'].'</td>
				<td class="val" id="newsoftversion"></td>
			</tr>
		</table>
	</div>
	<center><a href="'.$globals['ind'].'act=serverinfo&genkey=1" class="go_btn">'.$l['reset_api_keys'].'</a></center>
</div>
<br />
<br />';
}
echo '</div>';
softfooter();
	
}

