<?php

//////////////////////////////////////////////////////////////
//===========================================================
// webuzo_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function webuzo_theme(){

global $theme, $globals, $info, $kernel, $user, $l, $error, $langs, $skins, $done, $cluster, $virt, $centos5, $val, $master, $servers, $iscripts, $scripts, $soft_scripts;

softheader($l['<title>']);


echo '<div class="card2 mx-3 mt-3 p-3">
	<div class="col-12 d-flex align-items-center">
		<h4 class="text-dark"><img src="'.$theme['images'].'/svgset/webuzo.svg" width="30px"/> '.$l['page_head'].'</h4>
	</div>
</div>';

$breadcrummbs = array('dashboard', 'lm_config', 'lms_webuzo');

echo get_breadcrumb($breadcrummbs);

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
	//echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '..'</div>';
}
echo '<link href="https://images.softaculous.com/sprites/20.css" rel="stylesheet" type="text/css" />
<script language="javascript" type="text/javascript">

var ids1 = new Array('.implode(', ', array_values($iscripts)).');
var cats = new Array("'.implode('","', array_keys($soft_scripts)).'");
var selected = new Array('.implode(', ', array_values($info['enabled_scripts'])).');
function toggle_option(option){
	if($("#"+option+"_softwares").is(":checked")){
		$("#"+option).slideDown("fast");
		$("#"+option+"_toggle_indicator").text(" - ");
		return;
	}
	
	if ($("#"+option).is(":hidden")){
		$("#"+option).slideDown("fast");
		$("#"+option+"_toggle_indicator").text(" - ");		
	}else{
		$("#"+option).slideUp("fast");
		$("#"+option+"_toggle_indicator").text(" + ");
	}
};

function checkallsoftware(checker){	
	for(x in ids1){		
		$_("scripts_"+ids1[x]).checked = checker.checked;
		//change td background color
		changebg(ids1[x],"scripts_");
	}
	for(x in cats){
		if(checker.checked){
			$("#"+cats[x]).slideDown("fast");
			$("#"+cats[x]+"_toggle_indicator").text(" - ");
		}else{
			$("#"+cats[x]).slideUp("fast");
			$("#"+cats[x]+"_toggle_indicator").text(" + ");
		}
	}
};

function checksoftwares(id){
	var ele = id.substr(0,(id.indexOf("_")));
	
	// Show all elements first
	$("#" + ele).find(".search").each(function(){
		$(this).show();
	});
	
	$("."+ele).each(function(){
		$(this).prop("checked", $("#"+id).is(":checked"));
	});
	
	if($("#"+id).is(":checked")){
		$(".script_"+ele).addClass("script_selected");
	}else{
		$(".script_"+ele).removeClass("script_selected");
	}
}

function selectchkbox(id,type,cat){
	if($_(type+id).checked){
		$_(type+id).checked = false;		
		$_(cat+"_softwares").checked = false;		
	}else{
		$_(type+id).checked = true;
	}
	
	//change td background color
	changebg(id,type);	
};

function changebg(id,type){
	try{
		if($_(type+id).checked){
			
			$("#td_"+id).addClass("script_selected");
			
		}else{
			
			$("#td_"+id).removeClass("script_selected");
		}
	}catch(e){}
};

function show_sel(id, show){
	if(show){
		$("#"+id+"_sel").show();
	}else{
		$("#"+id+"_sel").hide();
	}
	
}

function checkall(){
	
	// for users
	for(x in ids){	
		changebg(ids[x],"users_");
	}
	
	// for scripts
	for(x in ids1){	
		changebg(ids1[x],"scripts_");
	}
	
	// for scripts
	for(x in ids2){	
		changebg(ids2[x],"resellers_");
	}
	// for scripts
	for(x in ids3){	
		changebg(ids3[x],"cpplan_");
	}
};

function searchsoftware(val){
	val = val || 0;	
	var appname;
	if(val != 0){
		val = val.toUpperCase();		
		// hide all boxes
		for(x in cats){
			$("#"+cats[x]+"_block").hide();
		}
		// Search the keyword
		for(x in cats){
			$("#" + cats[x]).find(".search").each(function(){
				appname = $(this).data("for");
				appname = appname.toUpperCase();
				if(appname.indexOf(val) > -1 ){
					$("#"+cats[x]+"_block").show();
					$(this).css("display","").parent().removeClass("script_selected");
					return;
				}else{
					$(this).css("display","none").parent().removeClass("script_selected");
				}
			});
			$("#" + cats[x]).slideDown("fast");
			$("#"+cats[x]+"_toggle_indicator").text(" - ");
		}
		
	}else{
		// Reset all
		for(x in cats){
			$("#"+cats[x]+"_block").show();			
			$("#" + cats[x]).slideUp("fast");
			$("#"+cats[x]+"_toggle_indicator").text(" + ");			
			$("#" + cats[x]).find(".search").each(function(){
				$(this).show();
			});
		}
	}
}

$(document).ready(function(){
	
	for(x in cats){
		toggle_option(cats[x]);
	}
	
	// Check all if select all is enabled	
	for(x in selected){
		changebg(selected[x],"scripts_");
	}
	
	$("#softwaresearch").keyup(function(){		
		searchsoftware($(this).val());
	});
	
	/* for(x in cats){
		$.each($("#"+cats[x]), function(k, v));
	} */
	
	var w = $(window).width();

	if(w < 700){
		$(".script_choose").removeClass(\'col-3\');
		$(".script_choose").addClass(\'col-6\');
	}
	else{
		$(".script_choose").addClass(\'col-3\');
		$(".script_choose").removeClass(\'col-6\');
	}
});
$(window).resize(function(){
	    	var w = $(window).width();

	if(w < 700){
		$(".script_choose").removeClass(\'col-3\');
		$(".script_choose").addClass(\'col-6\');
	}
	else{
		$(".script_choose").addClass(\'col-3\');
		$(".script_choose").removeClass(\'col-6\');
	}
	});
</script>';

echo '<form accept-charset="'.$globals['charset'].'" name="webuzo_form" method="post" action="" class="form-horizontal" id="webuzo_form">
<div class="card p-2 mx-3 mb-3">
	<div class="row mx-auto w-100 my-3">
		<div class="col-4">
			<label class="control-label">'.$l['disable_webuzo'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_webuzo_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
		</div>
		<div class="col-4">
			'.get_checkbox('disable_webuzo', '', 'disable_webuzo', array('chk_it' => 1, 'val' => $info['disable_webuzo'])).'
		</div>
	</div>

	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-4">
			<label class="control-label">'.$l['noc_apikey'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['noc_apikey_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
		</div>
		<div class="col-sm-4">		
			<input class="form-control" type="text" name="noc_apikey" id="noc_apikey" size="30" value="'.POSTval('noc_apikey', $info['noc_apikey']).'" />
		</div>
	</div>

	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-4">
			<label class="control-label">'.$l['noc_apipass'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['noc_apipass_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
		</div>
		<div class="col-sm-4">
			<input class="form-control" type="password" name="noc_apipass" id="noc_apipass" value="'.POSTval('noc_apipass', $info['noc_apipass']).'" />
		</div>
	</div>
	<div class="row mx-auto w-100 my-3">
		<div class="col-4">
			<label class="control-label">'.$l['premium_apps'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['premium_apps_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
		</div>
		<div class="col-4">
			'.get_checkbox('premium_apps', '', 'premium_apps', array('chk_it' => 1, 'val' => $info['premium_apps'])).'
		</div>
	</div>
</div>
<div class="row mx ">
	<div class="col-sm-12 col-xs-12 p-0 ">
		<div class="roundheader">
		 '.$l['script_assign'].'
		</div>
	</div>
</div>
<div class="bgaddv row mx">
	<div class="d-inline w-auto pr-0 col-sm-6 col-lg-3">
		'.get_checkbox('select_all', $l['scripts_all'], 'select_all', array('chk_it' => 1, 'val' => $info['select_all']), -1, '', array('onclick="checkallsoftware(this);"')).'
	</div>
	<div class="d-inline w-auto pl-0 col-sm-6 col-lg-3">
		<input type="text" class="form-control" id="softwaresearch" placeholder="'.$l['search_script'].'" />
	</div>
</div>
<hr />';
foreach($soft_scripts as $k => $v){
	echo '<div id="'.$k.'_block" class="mx">
			<div class="roundheader cursor-pointer" onclick="toggle_option(\''.$k.'\');" onmouseover="show_sel(\''.$k.'\',true);" onmouseleave="show_sel(\''.$k.'\',false);">
				<div class="row mx-auto my-0 w-100 pr-2">
					<div class="col-11 p-0">
						<label id="'.$k.'_toggle_indicator" class="min_width">-</label>&nbsp;'.$l['cat_php_'.$k].'
					</div>
					<div class="col-1 p-0 text-right">
						'.get_checkbox('example1', '', $k.'_softwares', array('chk_it' => 0), 1, '', array('onclick="checksoftwares(this.id);"')).'
					</div>
				</div>
			</div>
			<div id="'.$k.'" class="bgaddv">
				<div class="row w-100 mx-auto my-1">';
				$cellwidth = 100;
				$cellwidth = (count($v) < 2) ? 25 : ((count($v) < 3) ? 50 : $cellwidth);		
				
		
					$i = 0;
					foreach($v as $appk => $appv){
						$en_app_flag = (in_array($appk, $info['enabled_scripts']) ? 'checked="checked"' : "");
						echo '<div class="col-3 script_choose search script_'.$k.'" id="td_'.$appk.'" data-for="'.$appv['name'].'">
						<div class="row w-100 my-1">
							<div class="col-xs-1 p-0 mr-2" ><div class="sp20_'.$appv['softname'].'"></div></div>
							<div class="col-xs-10 p-0">
							'.get_checkbox('sel_scripts[]', 
								'<a href="javascript:void(0)" class="text-decoration-none" onclick="selectchkbox(\''.$appk.'\',\'scripts_\', \''.$k.'\');" ><font class="sai_bboxtxt">'.$appv['name'].'</font></a>', 
								'scripts_'.$appk, 
								array('chk_it' => 0), 
								$appk, 
								$k, 
								array('onclick="changebg(\''.$appk.'\',\'scripts_\');"', $en_app_flag)).'
							</div>
							
							
							</div>
						</div>';
						$i++;
							
					}
					echo '</div>
			</div><br />
	</div>';
}

echo '<center><input id="webuzo_settings" type="submit" name="webuzo_button" value="'.$l['submit'].'" class="go_btn"/></center><br>
</div>';

echo '<input type="hidden" name="hidden_selected" id="hidden_selected" />
<input type="hidden" name="webuzo" id="webuzo" value="1" />
<br />
</form>';

softfooter();

}

